# -*- utf-8 -*-
module GirlsBar
  module Helper
    def self.set_color(*arg)
      print color_codes(arg)
      yield if block_given?
      print color_code(:clear)
    end

    private
    def self.color_code(key)
      "\e[#{GirlsBar::DISPLAY_COLORS[key]}m"
    end

    def self.color_codes(keys)
      codes = keys.map {|k| GirlsBar::DISPLAY_COLORS[k] }.compact.join(";")
      "\e[#{codes}m"
    end
  end
end
